# Multisite Toolbar Additions 
**Contributors:** daveshine, deckerweb, wpautobahn, toolbarextras  
**Donate link:** https://www.paypal.me/deckerweb  
**Tags:** toolbar, adminbar, admin bar, multisite, network, administration, menu, super admins, links, settings, deckerweb, ddwtoolbar  
**Requires at least:** 3.6  
**Tested up to:** 5.3  
**Requires PHP:** 5.6  
**Stable tag:** 2.0.1
**License:** GPL-2.0-or-later  
**License URI:** https://opensource.org/licenses/GPL-2.0  

Adds a lot useful admin links to the WordPress Toolbar / Admin Bar in Multisite, Network and single site installs. Comes with extended plugin support!

[<img src="https://ps.w.org/multisite-toolbar-additions/assets/banner-1544x500.png" data-canonical-src="https://ps.w.org/multisite-toolbar-additions/assets/banner-1544x500.png" width="772" height="250" />](https://wordpress.org/plugins/multisite-toolbar-additions/)


## Description 

> #### Quick Access to Super Admin Resources - Time Saver!
> This **small and lightweight** plugin just adds some missed and **very useful admin links** to your Toolbar / Admin Bar in Multisite installs, and even regular single site installs.
>
> Also included is support for some awesome, useful third-party plugins out of the box. So you might just switch from the backend or frontend of your site to the 'Network Wide Plugins' or access the 'Nav Menu' Settings of a sub site/blog. To make you even more happy, the plugin also works just perfectly in single WordPress installs (non-Multisite context), just fewer menu items then... ---> **Use this time saver and get quicker access :-)**

*NOTE:* This plugin is **only intended towards Super Admins / Admins**.


### General Features & Benefits -- Global Usage 
* Add a **Custom Nav Menu** to the toolbar via WP Menu system - great for instructions for your staff members or other resources... ([see FAQ for more...](https://wordpress.org/plugins/multisite-toolbar-additions/faq/))
* Recommended in Multisite: to use the main site for this (but menu is available globally)
* Only visible and accessable for Super Admins (Multisite context) or for Site Admins (non-Multisite context)!
* Plugin is fully internationalized, English & German language files included by default :)
* Fully WPML compatible!


### Multisite Network Specific Features & Benefits 
* Network wide Plugins
* Network wide Themes (plus Theme Editor)
* Network Settings, Updates, plus Site Upgrade
* Special "+ New" (new content) section, like on site dashboards, but only for Network admin with Network specific items!
* Extra special *Custom Nav Menu* vieable for Site Admins but only editable for Super Admins, setup via WP Menu system, [see FAQ for more...](https://wordpress.org/plugins/multisite-toolbar-additions/faq/).
* Multisite aware plugin support, to date for: *WP Super Cache, WP-Piwik, WPMS Site Maintenance Mode, Code Snippets, BackWPup, User Management Tools, Network Mass Email, Organizational Message Notifier, Snapshot (premium), Ultimate Branding (premium), Login Security Solution, Smart Admin Tweaks (premium), Smart Cleanup Tools (premium), Smart Options Optimizer (premium), Simple System Info (premium), Smart Security Tools (premium), Hide My WP (premium), Blog Copier, NS Cloner, NS Cloner Pro, Multisite Robots.txt Manager, WordPress MU Domain Mapping, WP Migrate DB Pro (premium), WPMS Admin Reports*


### (Sub) Site Specific Features & Benefits 
 * Widgets
 * Nav Menus, including list of editable Nav Menus!
 * *Manage Content:* Media Library / Edit Posts / Edit Pages
 * Theme Editor (also detects Multisite network-admin!), great for fast editions on the fly... -- also includes "Customizer", plus "Custom Background" and "Custom Header"!
 * (Site specific) Plugin support, to date for: *Howdy Tweaks, Cachify, Hyper Cache, Hyper Cache Extended, Limit Login Attempts, WP-Optimize, Installer (by WMPL.org Team), Code With WP Code Snippets, Toolbox Modules, Relevanssi & Relevanssi Premium, Multisite Language Switcher, Optimize Database after Deleting Revisions, Widget Settings Importer/Exporter, Tabify Edit Screen, Restrict Widgets, P3 (Plugin Performance Profiler), Codestyling Localization, WP Migrate DB, Go Sidebar Wizard (premium), Stream, Snitch*


### Included Plugin Support 
*Out of the box the plugin supports the following other plugins' admin menu links in the Toolbar if installed and activated:*

* ["WP Super Cache" (free, by Donncha O Caoimh)](https://wordpress.org/plugins/wp-super-cache/) - also network wide
* ["WP-Piwik" (free, by Andr&eacute; Br&auml;kling)](https://wordpress.org/plugins/wp-piwik/) - also network wide
* ["WPMS Site Maintenance Mode" (free, 7 Media Web Solutions, LLC)](https://wordpress.org/plugins/wpms-site-maintenance-mode/) - also network wide
* ["User Management Tools" (free, by scribu/AppThemes)](https://wordpress.org/plugins/user-management-tools/) - also network wide
* ["Network Mass Email" (free, Kenny Zaron)](https://wordpress.org/plugins/network-mass-email/) - also network wide
* ["Organizational Message Notifier" (free, Zaantar)](https://wordpress.org/plugins/organizational-message-notifier/) - also network wide
* ["Code Snippets" (free, by Shea Bunge)](https://wordpress.org/plugins/code-snippets/) - also network wide
* ["BackWPup" (free, by Daniel Hüsken)](https://wordpress.org/plugins/backwpup/) - also network wide - *v3.x plus older v2.x branch supported!*
* ["Snapshot" (premium, by Paul Menard (Incsub)/ WPMU DEV)](https://ddwb.me/8f) - also network wide
* ["Ultimate Branding" (premium, by Incsub Team/ WPMU DEV)](https://ddwb.me/8g) - also network wide
* ["Smart Admin Tweaks v3.0+" (premium, by Smart Plugins/ Milan Petrovic)](https://ddwb.me/8u) - also network wide
* ["Smart Cleanup Tools v4.0+" (premium, by Smart Plugins/ Milan Petrovic)](https://ddwb.me/8v) - also network wide
* ["Smart Security Tools" (premium, by Smart Plugins/ Milan Petrovic)](https://ddwb.me/9g) - also network wide
* ["Smart Options Optimizer" (premium, by Smart Plugins/ Milan Petrovic)](https://ddwb.me/91) - also network wide
* ["Simple System Info" (premium, by Smart Plugins/ Milan Petrovic)](https://ddwb.me/94) - also network wide
* ["Hide My WP" (premium, by Hassan Jahangiri)](https://ddwb.me/8z) - also network wide
* ["Better WP Security" (free, by Chris Wiegman & iThemes)](https://wordpress.org/plugins/better-wp-security/) - also network wide
* ["Login Security Solution" (free, by Daniel Convissor)](https://wordpress.org/plugins/login-security-solution/) - also network wide
* ["Blog Copier" (free, by Modern Tribe, Inc.)](https://wordpress.org/plugins/blog-copier/) - network wide
* ["NS Cloner - Site Copier" (free, by Never Settle)](https://wordpress.org/plugins/ns-cloner-site-copier/) - network wide
* ["NS Cloner Pro" (premium, by Never Settle)](https://ddwb.me/8-) - network wide
* ["WP Migrate DB Pro" (premium, by Delicious Brains (Brad Touesnard & Chris Aprea))](https://ddwb.me/ai) - network wide
* ["Multisite Robots.txt Manager" (free, by tribalNerd)](https://wordpress.org/plugins/multisite-robotstxt-manager/) - network only!
* ["WordPress MU Domain Mapping" (free, by Donncha O Caoimh, Ron Rennick, Automatic Inc.)](https://wordpress.org/plugins/wordpress-mu-domain-mapping/) - network only!
* ["WPMS Admin Reports" (free, by Joe Motacek)](https://wordpress.org/plugins/wpms-admin-reports/) - network only! (MU Plugin!)
* ["Multisite Language Switcher" (free, Dennis Ploetner)](https://wordpress.org/plugins/multisite-language-switcher/)
* ["Howdy Tweaks" (free, by Kailey Lampert)](https://wordpress.org/plugins/howdy-tweaks/)
* ["Cachify" (free, by Sergej Müller)](https://wordpress.org/plugins/cachify/)
* ["Hyper Cache" (free, by Stefano Lissa)](https://wordpress.org/plugins/hyper-cache/)
* ["Hyper Cache Extended" (free, by Martin Lazarov)](https://wordpress.org/plugins/hyper-cache-extended/)
* ["Limit Login Attempts" (free, by Johan Eenfeldt)](https://wordpress.org/plugins/limit-login-attempts/)
* ["Optimize Database after Deleting Revisions" (free, by Rolf van Gelder)](https://wordpress.org/plugins/rvg-optimize-database/)
* ["WP-Optimize" (free, by Ruhani Rabin)](https://wordpress.org/plugins/wp-optimize/)
* "Installer (WPRC Installer)" (free, by OnTheGoSystems, Inc. (WPML.org team))
* ["Code With WP Code Snippets" (free, by Thomas Griffin)](https://github.com/thomasgriffin/CWWP-Custom-Snippets) (plugin currently in beta, hosted at GitHub)
* ["Toolbox Modules" (free, by Sergej Müller)](https://wordpress.org/plugins/toolbox/) - see also his [plugin instructions](http://playground.ebiene.de/toolbox-wordpress-plugin/)
* ["Relevanssi" (free)](https://wordpress.org/plugins/relevanssi/) and ["Relevanssi Premium" (premium)](https://www.relevanssi.com/) both by Mikko Saari
* ["Widget Settings Importer/Exporter" (free, by Kevin Langley, Sean McCafferty, Mark Parolisi)](https://wordpress.org/plugins/widget-settings-importexport/)
* ["Tabify Edit Screen" (free, by Marko Heijnen)](https://wordpress.org/plugins/tabify-edit-screen/)
* ["Restrict Widgets" (free, by Digital Factory)](https://wordpress.org/plugins/restrict-widgets/)
* ["P3 (Plugin Performance Profiler)" (free, by GoDaddy.com)](https://wordpress.org/plugins/p3-profiler/description/)
* ["Codestyling Localization" (free, by Heiko Rabe)](https://wordpress.org/plugins/codestyling-localization/)
* ["WP Migrate DB" (free, by Brad Touesnard)](https://wordpress.org/plugins/wp-migrate-db/)
* ["Go - Sidebar Wizard" (premium, by Granth)](https://ddwb.me/92)
* ["Stream" (free, by X-Team)](https://wordpress.org/plugins/stream/)
* ["Snitch" (free, by Sergej Müller)](https://wordpress.org/plugins/snitch/)


### Be a Contributor 
If you want to translate, go to the Translation Portal at [translate.wordpress.org](https://translate.wordpress.org/projects/wp-plugins/multisite-toolbar-additions).

You can also contribute code-wise via our [Multisite Toolbar Additions GitHub Repository](https://github.com/deckerweb/multisite-toolbar-additions) - and see where you can help.


### Support 
- If you have any more questions, visit our support on the [Plugin's Forum](https://wordpress.org/support/plugin/multisite-toolbar-additions).


### Liked Multisite Toolbar Additions Plugin? 
- Join our [Facebook Community Group](https://www.facebook.com/groups/ToolbarExtras/).
- Or rate us on [WordPress](https://wordpress.org/support/plugin/multisite-toolbar-additions/reviews/?filter=5/#new-post) :)
- *Try my other admin bar related plugin:* **[Toolbar Extras for Elementor](https://wordpress.org/plugins/toolbar-extras/)**
- *Try my other plugin:* **[Cleaner Plugin Installer](https://wordpress.org/plugins/cleaner-plugin-installer/)**


### This Plugin ... 
- ... scratches my own itch!
- ... is *Quality Made in Germany*
- ... was created with love (plus some coffee) :-) - [if you like it consider donating](https://www.paypal.me/deckerweb)


## Installation 


### Installation Steps 
1. Installing alternatives:
 * *via Admin Dashboard:* Go to 'Plugins > Add New', search for "Multisite Toolbar Additions", click "install"
 * *OR via direct ZIP upload:* Upload the ZIP package via 'Plugins > Add New > Upload' in your WP Admin
 * *OR via FTP upload:* Upload `multisite-toolbar-additions` folder to the `/wp-content/plugins/` directory
2. In your Network Dashboard network activate the plugin through the (Network) 'Plugins' menu -- or in a sub site dashboard: per-site activate this plugin through the (Site) 'Plugins' menu
3. Look at your toolbar / admin bar within the "My Sites" menu and enjoy using the new links there :)
4. If you want you could add a special custom Nav Menu via "Design > Menus" (best if using the main site of your Network for that) and assign it to the new "Multisite Toolbar Menu" menu location (only visible & accessable for Super Admins!). [(See FAQ here for more instructions)](https://wordpress.org/plugins/multisite-toolbar-additions/#faq)
5. Go and manage your Multisite Network :)

**Please note, this plugin requires WordPress 3.3 or higher in order to work!**

**Also note:** This plugin has NO settings page because I believe it's just not neccessarry. All customizing could be done via filters, constants and regular WordPress user roles & capabilities. As the plugin is only indended for a Super Admin (Network Admin) usage - that's the way to go. This way we can save the overhaul of an options panel/settings page, additional database requests, uninstall routines and such. End result: a lightweight system that just works and saves clicks & time :-).

**Multisite install:** Of course, it's fully compatible but have a look in the [FAQ section here](https://wordpress.org/plugins/multisite-toolbar-additions/faq/) for more info :)

**Single install:** The plugin WILL also working like a charm for regular non-Multisite installs - just without the network specific stuff. However, there's still A LOT (single) site specific stuff supported. So it's up to your use case :). -- I for myself use this plugin on each and every install because it SAVES ME A LOT OF CLICKS & TIME! ...and that was the very reason I've developed it, yeah :-)

**Own translation/wording:** For custom and update-secure language files please upload them to `/wp-content/languages/multisite-toolbar-additions/` (just create this folder) - This enables you to use fully custom translations that won't be overridden on plugin updates. Also, complete custom English wording is possible with that, just use a language file like `multisite-toolbar-extras-en_US.mo/.po` to achieve that (for creating one see the tools on "Other Notes").


## Frequently Asked Questions 


### Why another Multisite Toolbar plugin, there are already some others!? 
You're right! If you're happy with one of the others then that's absolutely great and you don't need to add or switch anything! :)

I just made this new plugin here for my own needs and some of my client admins. As I am an open source evangelist I like to release my stuff to the public to give back to the community!

Plugin developer David Decker: *What has proved its day to day usage and usefullness on more than 100 installs (Multisites and regular single site installs) before, could be used by many other (super) admins as well, right? :-)))*



### Does this plugin work with latest WordPress version and also older versions? 
Yes, this plugin works really fine with the LATEST WordPress branch 3.8+! :-)
And sorry, it DOES NOT work with WordPress versions older than 3.6 so please update your install if you haven't done yet :).



### How do I use the custom Nav Menu for Super Admins for the toolbar? 
All menu items via a Custom Menu - and at all other places in the Toolbar (a.k.a. Admin Bar) - are only visible and accessable for Super Admins. That means in a Multisite environment all admins who can manage the network. In regular WordPress (single) installs these are users with the Administrator user role.

Added Menu Location by the plugin is: "Multisite Toolbar Menu" (again: only for Super Admins)

Steps for setting up a menu:

* Create a new menu, set a name like "Super Admin Toolbar" or such...
* Setup your links, might mostly be custom links, or any other...
* Save the new menu to the plugin's menu location. That's it :)
* *Please note:* Every parent item = one main toolbar entry! So best would be to only use one parent item and set all other items as children.



### How can I adjust the position of my custom Nav Menu? 
Since version 1.4.0 of the plugin there's a filter for that. See this example that needs to be added to your theme's/ child theme's `functions.php` file or a functionality plugin. Try values between `1` and `100`:
```
add_filter( 'mstba_filter_super_admin_nav_menu_priority', 'mstba_custom_position_super_admin_nav_menu' );
/**
 * Multisite Toolbar Additions:
 *    Adjust Super Admin Nav Menu Position
 */
function mstba_custom_position_super_admin_nav_menu() {

	return 20;

}
```



### How do I use the custom Nav Menu for Site Admins for the toolbar? 
The usage is identical as the Super Admin menu - see above 2 questions for instructions!

Only difference: This Site Admins menu is only viewable by site admins but only Super Admins can setup and edit it!

The filter for the hook priority here is called `mstba_filter_restricted_admin_nav_menu_priority` -- and works in the very same as above!



### How can I adjust the position of Network admin "+ New" section? 
This could be easily done with the following example code that needs to be added to your theme's/ child theme's `functions.php` file or a functionality plugin. Try values between `1` and `100`:
```
add_filter( 'mstba_filter_network_admin_new_content_priority', 'mstba_custom_position_network_admin_new_content' );
/**
 * Multisite Toolbar Additions:
 *    Adjust Network Admin "+ New" Position
 */
function mstba_custom_position_network_admin_new_content() {

	return 80;

}
```



### Can I remove the "+ New" (new content) section in Network admin? 
Yes, it's possible! This line of code needs to be added to your theme's/ child theme's `functions.php` file or a functionality plugin:
```
/**
 * Multisite Toolbar Additions:
 *    Remove Network Admin "+ New" section
 */
add_filter( 'mstba_filter_display_network_new_content', '__return_false' );
```



### How are new resources being added to the toolbar/admin bar? 
Just drop me a note on [my Twitter @deckerweb](https://twitter.com/deckerweb) or via my contact page and I'll add the link if it is useful for Multisite/ Super Admins.



### Is this plugin Multisite compatible? 
Of course it is! :) Works really fine in Multisite invironment - for Super Admins.



### In Multisite, could I "network activate" this plugin? 
Yes, you could! Again, it's only displayed and useful for Super Admins. -- Activating on a per-site basis is also possible. Just decide what works best for you.



### Has this plugin any use for non-Multisite installs? 
Yes, of course! :) The plugin is *working like a charm* in single-site installs - just without the network specific stuff. However, there's still A LOT (single) site specific stuff supported. So it's up to your use case :).



### Special instructions for the supported 'BackWPup' plugin? 
Yes, I have some advise for you :) -- My plugin only adds any BackWPup resources to your toolbar if you didn't enabled the "Toolbar / Admin Bar option" on the BackWPup settings page.

* **Enable** BackWPup Toolbar / Adminbar = BackWPup handles its own stuff...
* **Disable** BackWPup Toolbar / Adminbar = Multisite Toolbar Additions will handle BackWPup's toolbar items :)



### Could certain sections/ item groups be removed? 
Yes, this is possible! You can remove the following sections: "My Sites" menu area (all network items) / "My Sites" menu area (all sub site specific items) / "Super Admin Nav Menu" group (all items) / "Network Plugin Support" (all network plugin items) / "(Sub Site) Plugin Support" (all site plugin items) / "(Sub) Site Specific Items" - useful to disable for specific Super Admin users...

To achieve this add one, some or all of the following constants to your main theme's/child theme's `functions.php` file, functionality plugin or MU plugin:
```
/**
 * Multisite Toolbar Additions:
 *    Remove Network Admin Specific Items
 */
define( 'MSTBA_DISPLAY_NETWORK_ITEMS', FALSE );

/**
 * Multisite Toolbar Additions:
 *    Remove Sub Site Specific Items
 */
define( 'MSTBA_DISPLAY_SUBSITE_ITEMS', FALSE );

/**
 * Multisite Toolbar Additions:
 *    Disable Custom Nav Menu for Super Admins
 */
define( 'MSTBA_SUPER_ADMIN_NAV_MENU', FALSE );

/**
 * Multisite Toolbar Additions:
 *    Disable restricted Custom Nav Menu for Site Admins
 */
define( 'MSTBA_RESRICTED_ADMIN_NAV_MENU', FALSE );

/**
 * Multisite Toolbar Additions:
 *    Disable Plugin Support for Network Wide Plugins
 */
define( 'MSTBA_DISPLAY_NETWORK_EXTEND_GROUP', FALSE );

/**
 * Multisite Toolbar Additions:
 *    Disable Plugin Support for (Sub) Site Specific Plugins
 */
define( 'MSTBA_DISPLAY_SITE_EXTEND_GROUP', FALSE );

/**
 * Multisite Toolbar Additions:
 *    Disable Site Specific Items
 */
define( 'MSTBA_DISPLAY_SITE_GROUP', FALSE );

/**
 * Multisite Toolbar Additions:
 *    Disable Nav Menu List Edit Items
 */
define( 'MSTBA_DISPLAY_LIST_EDIT_MENUS', FALSE );
```



### Could the the whole toolbar entries be removed, especially for certain users? 
Yes, that's also possible! This could be useful if your site has special user roles/capabilities or other settings that are beyond the default WordPress stuff etc. For example: if you want to disable the display of any "Multisite Toolbar Additions" items for all user roles of "Editor" please use this code:

To hide only from the user with a user ID of "2":
```
/**
 * Multisite Toolbar Additions:
 *    Remove Network Admin specific Items for user ID 2
 */
if ( 2 === get_current_user_id() ) {
	define( 'MSTBA_DISPLAY_NETWORK_ITEMS', FALSE );
}
```

To hide items only in frontend use this code:
```
/**
 * Multisite Toolbar Additions:
 *    Remove Network Admin specific Items from frontend
 */
if ( ! is_admin() ) {
	define( 'MSTBA_DISPLAY_NETWORK_ITEMS', FALSE );
}
```


**Final note:** I DON'T recommend to add customization code snippets to your main theme's/ child theme's `functions.php` file! **Please use a functionality plugin or an MU-plugin instead!** This way you can also use this better for Multisite environments. In general you are then more independent from theme/child theme changes etc. If you don't know how to create such a plugin yourself just use one of my recommended 'Code Snippets' plugins. Read & bookmark these Sites:

* [**"Code Snippets"** plugin by Shea Bunge](https://wordpress.org/plugins/code-snippets/) - also network wide!
* [**Woody Snippets (Insert PHP)** plugin by webcraftic](https://wordpress.org/plugins/insert-php/)
* [**"What is a functionality plugin and how to create one?"**](http://wpcandy.com/teaches/how-to-create-a-functionality-plugin) - *blog post by WPCandy*
* [**"Creating a custom functions plugin for end users"**](http://justintadlock.com/archives/2011/02/02/creating-a-custom-functions-plugin-for-end-users) - *blog post by Justin Tadlock*

All the custom & branding stuff code above can also be found as a Gist on Github: https://gist.github.com/deckerweb/3498510 (you can also add your questions/ feedback there :)


## Screenshots 

### 1. Multisite Toolbar Additions: New Network specific menu items located in "My Sites" toolbar parent item. ([Click here for larger version of screenshot](https://www.dropbox.com/s/m6w6h8icr44e568/screenshot-1.png)).
![Multisite Toolbar Additions: New Network specific menu items located in "My Sites" toolbar parent item. ([Click here for larger version of screenshot](https://www.dropbox.com/s/m6w6h8icr44e568/screenshot-1.png)).](https://ps.w.org/multisite-toolbar-additions/assets/screenshot-1.png)


### 2. Multisite Toolbar Additions: Included plugin support for Network aware plugins. ([Click here for larger version of screenshot](https://www.dropbox.com/s/ztu9haeh48eg6lr/screenshot-2.png)).
![Multisite Toolbar Additions: Included plugin support for Network aware plugins. ([Click here for larger version of screenshot](https://www.dropbox.com/s/ztu9haeh48eg6lr/screenshot-2.png)).](https://ps.w.org/multisite-toolbar-additions/assets/screenshot-2.png)


### 3. Multisite Toolbar Additions: New Sub Site/ Blog items located in the parent item for each site. ([Click here for larger version of screenshot](https://www.dropbox.com/s/a0qhymxlpkn1qox/screenshot-3.png)).
![Multisite Toolbar Additions: New Sub Site/ Blog items located in the parent item for each site. ([Click here for larger version of screenshot](https://www.dropbox.com/s/a0qhymxlpkn1qox/screenshot-3.png)).](https://ps.w.org/multisite-toolbar-additions/assets/screenshot-3.png)


### 4. Multisite Toolbar Additions: New (Sub) Site specific menu items - plus included plugin support for useful site specific plugins. ([Click here for larger version of screenshot](https://www.dropbox.com/s/w0aoaxwfqfw7iq2/screenshot-4.png)).
![Multisite Toolbar Additions: New (Sub) Site specific menu items - plus included plugin support for useful site specific plugins. ([Click here for larger version of screenshot](https://www.dropbox.com/s/w0aoaxwfqfw7iq2/screenshot-4.png)).](https://ps.w.org/multisite-toolbar-additions/assets/screenshot-4.png)


### 5. Multisite Toolbar Additions: How the optional Nav Menu for Super Admins works. ([Click here for larger version of screenshot](https://www.dropbox.com/s/7u83c0g5ehk4ozq/screenshot-5.png)).
![Multisite Toolbar Additions: How the optional Nav Menu for Super Admins works. ([Click here for larger version of screenshot](https://www.dropbox.com/s/7u83c0g5ehk4ozq/screenshot-5.png)).](https://ps.w.org/multisite-toolbar-additions/assets/screenshot-5.png)


### 6. Multisite Toolbar Additions: Plugin's help tab on Nav Menu admin page. ([Click here for larger version of screenshot](https://www.dropbox.com/s/dt6kkxqsh7yvbfn/screenshot-6.png)).
![Multisite Toolbar Additions: Plugin's help tab on Nav Menu admin page. ([Click here for larger version of screenshot](https://www.dropbox.com/s/dt6kkxqsh7yvbfn/screenshot-6.png)).](https://ps.w.org/multisite-toolbar-additions/assets/screenshot-6.png)



## Changelog 

### ⚡ 2.0.1 - 2019-09-23
* Tweak: Updated bundled library DDWlib Plugin Installer Recommendations to latest version (v1.5.0) - better performance due to the use of transients
* Tweak: Minor code improvements


### 🎉 2.0.0 - 2019-05-04
* *New: Successfully tested with WordPress 5.2*
* New: Dedicated Theme and Plugin ZIP Uploader pages
* New: Enhanced Theme and Plugin Installer items in Toolbar (New Content Group)
* New: Integrated with WordPress 5.2+ new Site Health feature: Multisite Toolbar Additions now has an extra section on the Debug Info tab - this is especially helpful for support requests
* Tweak: Smaller internal improvements
* Tweak: Updated bundled library DDWlib Plugin Installer Recommendations to latest version (v1.4.0) - feature updates
* Tweak: Updated `.pot` file plus all German translations (formal, informal) and language packs
* New: [Join my newsletter for DECKERWEB WordPress Plugins](https://eepurl.com/gbAUUn) - insider info, plus tutorials and more useful stuff


### ⚡ 1.9.4 - 2018-11-03
* Tweak: Updated bundled library DDWlib Plugin Installer Recommendations to latest version (v1.2.0) - which brings enhanced CSS styles, including for the "Dark Mode" plugin
* Tweak: Few internal code tweaks and improvements


### ⚡ 1.9.3 - 2018-10-01
* New: Created special [Facebook Group for user community support](https://www.facebook.com/groups/deckerweb.wordpress.plugins/) for all plugins from me (David Decker - DECKERWEB), this one here included! ;-) - [please join at facebook!](https://www.facebook.com/groups/deckerweb.wordpress.plugins/)
* Update: Small internal code improvements
* Update: Updated bundled library DDWlib Plugin Installer Recommendations to latest version (v1.1.0) - which brings smaller additions and enhancements, like CSS styles to the upload areas and plugin cards, plus plugin version number on plugin cards
* Update: `.pot` file plus all German translations (formal, informal) and language packs


### ⚡ 1.9.2 - 2018-09-08
* New: Added plugin update message also to Plugins page (overview table)
* Update: Fixed and improved various Plugins page links for Super Admins within the Admin area
* Update: Fixed CSS class name in the admin
* Update: Fixed wrong textdomain for one string
* Update: Improved plugin installer recommendations
* Update: `.pot` file for translators, plus German translations


### ⚡ 1.9.1 - 2018-08-22 
* New: Added first language packs via WordPress.org translations platform - for German (de_DE - informal) and German Formal (de_DE_formal) - thanks to Team WordPress DE! ;-)
* New: Added `composer.json` file to the plugin's root folder - this is great for developers using Composer
* New: Added `README.md` file for plugin's GitHub.com repository to make it more readable there
* Fix: Fatal error related to to Network Admin/ Multisite context.
* Removed: Plugin support for "Quick Cache" was removed as this plugin is no longer existing
* Update: Some smaller code tweaks and improvements
* Update: `.pot` file for translators, plus German translations
* Update: Readme.txt file
* *Trivia fact: this plugin is now 6 (six!) years old. Whoa, that's a lot. ;-)*



### 🎉 1.9.0 - 2018-04-01 
* *Maintenance release*
* Tweak: Improved security.
* Tweak: Updated all internal plugin links to current state, deleted the ones that were dead or no longer needed.
* Tweak: Added new plugin icon and banner on WordPress.org
* Update: `.pot` file for translators, plus German translations
* Update: Readme.txt file.



### 🎉 1.8.0 - 2014-10-20 
* **Unreleased - private beta version!**
* NEW: Added support for more (custom) post types in the "Manage Content" section.
* NEW: Added "Widget Customizer" admin deep link for WordPress 3.9+.
* UPDATE: Updated plugin installer & uploader admin links to be compatible with WordPress 4.0+.
* UPDATE: Updated theme installer & uploader admin links to be compatible with WordPress 3.9+.
* UPDATE: Updated labels for Super Admin/ Admin custom menus within the "Customizer".
* UPDATE: Updated German translations and also the .pot file for all translators!
* *Extended plugin support:*
 * NEW: Added support for "Smart Security Tools: Login Limit Add-On" (premium, by Smart Plugins/ Milan Petrovic).
 * NEW: Added support for "Smart Security Tools: Live Monitor Add-On" (premium, by Smart Plugins/ Milan Petrovic).
 * NEW: Added support for "Smart Robots.txt Tools" (premium, by Smart Plugins/ Milan Petrovic).
 * NEW: Added support for "iThemes Security" (free, by iThemes).
 * NEW: Added support for "iThemes Security Pro" (premium, by iThemes).
 * UPDATE: Updated and improved support for these plugins: "Snapshot", "Smart Security Tools", "Smart Options Optimizer", "Simple System Info", "Stream", "Quick Cache Pro".



### ⚡ 1.7.1 - 2014-04/05 
* *Unreleased - private beta version!*



### 🎉 1.7.0 - 2014-03-04 
* NEW: Highly improved "Nav Menu" support, all editable menus are now listed as sub level items for "Menus" entry. (Could be disabled via constant if needed.)
* NEW: As per user request I added an additional restricted Site Administrators toolbar menu. This is only effective in Multisite installs. Those menus can only be setup & edited via WP Nav Menus by Super Administrators - but then they are visible for administrator user roles (`edit_theme_options` capability).
* NEW: For Multisite, under "Plugins" added "Network Plugins" admin link for sub site admin areas - handy link to network wide plugins page.
* NEW: For Multisite, under "Themes" added "Network Theme Editor" admin link (respects all Editor disable stuff, hehe! :) for sub site admin areas - handy link to theme editor if needed.
* NEW: Added new logic to prevent other users than super admins from editing those custom (nav) menus that are used within the Toolbar.
* UPDATE: Removed all CSS that was added in v1.5.0 -- it was annoying and should not longer be there for WordPress 3.8 or higher. I guess this is finally for the better! :)
* UPDATE: Fixed double appearance of "Themes" and "Plugins" in Network Admin sublevel - now fixed for all instances :).
* CODE: Improved modular structure of the plugin for better maintenance and performance.
* CODE: Code and documentation tweaks and improvements.
* UPDATE: Extended and improved readme.txt file here.
* UPDATE: Updated German translations and also the .pot file for all translators!
* *Extended plugin support:*
 * NEW: Added support for "Stream" (free, by X-Team).
 * NEW: Added support for "Snitch" (free, by Sergej Müller).
 * NEW: Added support for "WPMS Admin Reports" (free, by Joe Motacek).
 * UPDATE: Updated and improved support for these plugins: "WP Migrate DB Pro".



### Older Changelogs 
See packaged `changelog.txt` file in the plugin folder.



## Upgrade Notice 

### 2.0.1
Internal library and code improvements. - **Update highly recommended!**


### 2.0.0
Enhanced Theme & Plugin Uploader links. Now with WordPress 5.2 Site Health integration. Plus few internal improvements. - **Update highly recommended!**


### 1.9.4
Maintenance release. Bundled library update. Small tweaks. Update recommended.


### 1.9.3
Maintenance release. Bundled library update, plus small improvements. Update recommended.


### 1.9.2
Maintenance release. Various tweaks, improvements and fixes.


### 1.9.1 
Maintenance release. Various tweaks, improvements and fixes.


### 1.9.0 
Maintenance release.


## Plugin Links 
* [Translations (WordPress.org Translations Portal)](https://translate.wordpress.org/projects/wp-plugins/multisite-toolbar-additions)
* [User support forums](https://wordpress.org/support/plugin/multisite-toolbar-additions)
* [Code snippets archive for customizing, GitHub Gist](https://gist.github.com/deckerweb/3498510)
* [Toolbar Extras Facebook Group](https://www.facebook.com/groups/ToolbarExtras/)
* [DECKERWEB WordPress Plugins Facebook Group](https://www.facebook.com/groups/deckerweb.wordpress.plugins/)


## Donate 
Enjoy using *Multisite Toolbar Additions*? **[Please consider making a donation](https://www.paypal.me/deckerweb)** - every donation helps to support the project's continued development, maintenance and support.
**Thank you very much in advance for your support!**


## Translations 

* English - default, always included
* German (de_DE): Deutsch - immer dabei!
* For custom and update-secure language files please upload them to `/wp-content/languages/multisite-toolbar-additions/` (just create this folder) - This enables you to use fully custom translations that won't be overridden on plugin updates. Also, complete custom English wording is possible with that as well, just use a language file like `multisite-toolbar-additions-en_US.mo/.po` to achieve that (for creating one see the following tools).

**Easy plugin translation platform with GlotPress tool:** [**Translate "Multisite Toolbar Additions"...**](https://translate.wordpress.org/projects/wp-plugins/multisite-toolbar-additions)

*Note:* All my plugins are internationalized/ translateable by default. This is very important for all users worldwide. So please contribute your language to the plugin to make it even more useful. For translating and validating I recommend the awesome ["Poedit Editor"](https://www.poedit.net/), which works fine on Windows, macOS and Linux.


## Additional Info 
**Idea Behind / Philosophy:** Just a little lightweight plugin for all the Multisite Super Admins out there to make their daily network admin life a bit easier. I'll try to add more plugin support if it makes some sense. So stay tuned :).


## Last but not least 
**Special Thanks go out to my family for allowing me to do such spare time projects (aka free plugins) and supporting me in every possible way!**


## My Other Plugins 
* [**Toolbar Extras for Elementor - WordPress Admin Bar Enhanced**](https://wordpress.org/plugins/toolbar-extras/)
* [**Toolbar Extras for Give Donations (GiveWP) - Add-On plugin**](https://wordpress.org/plugins/toolbar-extras-givewp/)
* [**Toolbar Extras for MainWP Dashboard - Add-On plugin**](https://wordpress.org/plugins/toolbar-extras-mainwp/)
* [**Toolbar Extras for Oxygen Builder - Add-On plugin**](https://wordpress.org/plugins/toolbar-extras-oxygen/)
* [**Builder Shortcode Extras – WordPress Shortcodes Collection to Save You Time**](https://wordpress.org/plugins/builder-shortcode-extras/)
* [**Builder Template Categories - for WordPress Page Builders**](https://wordpress.org/plugins/builder-template-categories/)
* [**Polylang Connect for Elementor – Language Switcher & Template Tweaks**](https://wordpress.org/plugins/connect-polylang-elementor/)
* [**Simple Download Manager for WP Document Revisions**](https://wordpress.org/plugins/wpdr-simple-downloads/)
* [Genesis What's New Info](https://wordpress.org/plugins/genesis-whats-new-info/)
* [Genesis Layout Extras](https://wordpress.org/plugins/genesis-layout-extras/)
* [Genesis Widgetized Not Found & 404](https://wordpress.org/plugins/genesis-widgetized-notfound/)
* [Genesis Widgetized Footer](https://wordpress.org/plugins/genesis-widgetized-footer/)
* [Genesis Widgetized Archive](https://wordpress.org/plugins/genesis-widgetized-archive/)
* [Cleaner Plugin Installer](https://wordpress.org/plugins/cleaner-plugin-installer/)
* [*My plugins newsletter*](https://eepurl.com/gbAUUn)
